with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.ISVGViewSpec_Interface is

   procedure Initialize (This : in out ISVGViewSpec_Type) is
   begin
      Set_IID (This, IID_ISVGViewSpec);
   end Initialize;

   function Pointer (This : ISVGViewSpec_Type)
     return Pointer_To_ISVGViewSpec
   is
   begin
      return To_Pointer_To_ISVGViewSpec (Address (This));
   end Pointer;

   procedure Attach (This    : in out ISVGViewSpec_Type;
                     Pointer : in     Pointer_To_ISVGViewSpec)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

end MSHTML.ISVGViewSpec_Interface;

